aboutsummaryrefslogtreecommitdiffstats
path: root/docs/ci
diff options
context:
space:
mode:
Diffstat (limited to 'docs/ci')
-rwxr-xr-xdocs/ci14
1 files changed, 14 insertions, 0 deletions
diff --git a/docs/ci b/docs/ci
new file mode 100755
index 00000000..ab442257
--- /dev/null
+++ b/docs/ci
@@ -0,0 +1,14 @@
+#!/bin/bash
+set -e
+
+# This script gets run from CI to render and upload docs
+
+./build-current
+
+# Only upload if we have defined credentials - we only have these defined for
+# trusted commits (i.e. not PRs).
+if [[ ! -z "${AWS_ACCESS_KEY_ID}" && $TRAVIS_BRANCH == "master" ]]; then
+ aws s3 sync --acl public-read ./public s3://docs.mitmproxy.org/master
+ aws cloudfront create-invalidation --distribution-id E1TH3USJHFQZ5Q \
+ --paths "/master/*"
+fi